commit:     e114b24209463298bdc8fd9ed66a3f70f05c3fed
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Sun Aug 23 02:36:03 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jan 25 02:35:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e114b242

dev-python/django-auth-ldap: update to 2.2.0

Update HOMEPAGE and LICENSE (to BSD-2), enable test and docs framework.
Added python3_8 support.
Closes: https://bugs.gentoo.org/739780
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/17223
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/django-auth-ldap/Manifest               |  1 +
 .../django-auth-ldap/django-auth-ldap-2.2.0.ebuild | 37 ++++++++++++++++++++++
 dev-python/django-auth-ldap/metadata.xml           |  2 +-
 3 files changed, 39 insertions(+), 1 deletion(-)

diff --git a/dev-python/django-auth-ldap/Manifest 
b/dev-python/django-auth-ldap/Manifest
index d0bb92aa442..79f8d7f469c 100644
--- a/dev-python/django-auth-ldap/Manifest
+++ b/dev-python/django-auth-ldap/Manifest
@@ -1 +1,2 @@
 DIST django-auth-ldap-2.1.0.tar.gz 51027 BLAKE2B 
1229d184746cf05f9c7ddb9e6674b2c529a0fc6d051f78ba01de6a80b0e5e408a8da10e35087efad60f1fef90be708e8a0c05b04c4408500329d9dfb567c0f8b
 SHA512 
4c204eee856e33fae80a22a80bd0f3a21d1f2ee33b1ad56087832f89e91d7e1441579cf77541c1c35e8e0532d4da937b736fe3b4708d7c2d7bbccacbb0b24061
+DIST django-auth-ldap-2.2.0.tar.gz 53148 BLAKE2B 
1f83a2f174d9fcbd264ce7e298c0dfebc720482b058e55833416440627c9e1fc02f2ad4e585e6fe01102f100337df5835020b8ff48a5dccb850cfff28ef902a0
 SHA512 
2ed1913e81a4801d683280586018df57067ec84b44299da4c6415452c978c8f1d2ca1d36eaced40efa0737180d7e35971e4570753f60d946b32d846b455ab744

diff --git a/dev-python/django-auth-ldap/django-auth-ldap-2.2.0.ebuild 
b/dev-python/django-auth-ldap/django-auth-ldap-2.2.0.ebuild
new file mode 100644
index 00000000000..6389ba36615
--- /dev/null
+++ b/dev-python/django-auth-ldap/django-auth-ldap-2.2.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django LDAP authentication backend"
+HOMEPAGE="https://github.com/django-auth-ldap/django-auth-ldap
+       https://pypi.org/project/django-auth-ldap/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+LICENSE="BSD-2"
+SLOT="0"
+
+RDEPEND="
+       >=dev-python/django-2.2[${PYTHON_USEDEP}]
+       >=dev-python/python-ldap-3.1[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               net-nds/openldap[-minimal]
+       )"
+
+distutils_enable_sphinx docs --no-autodoc
+
+python_test() {
+       # for slapd and slapdtest
+       local -x SBIN=/usr/sbin:/usr/$(get_libdir)/openldap
+       django-admin test -v 2 --settings tests.settings \
+               || die "Tests failed with ${EPYTHON}"
+}

diff --git a/dev-python/django-auth-ldap/metadata.xml 
b/dev-python/django-auth-ldap/metadata.xml
index cff59c60de5..ed12380cd99 100644
--- a/dev-python/django-auth-ldap/metadata.xml
+++ b/dev-python/django-auth-ldap/metadata.xml
@@ -7,6 +7,6 @@
   </maintainer>
   <upstream>
     <remote-id type="pypi">django-auth-ldap</remote-id>
-    <remote-id type="bitbucket">psagers/django-auth-ldap</remote-id>
+    <remote-id type="github">django-auth-ldap/django-auth-ldap</remote-id>
   </upstream>
 </pkgmetadata>

Reply via email to